diff options
-rw-r--r-- | meta/classes/autotools.bbclass | 11 |
1 files changed, 4 insertions, 7 deletions
diff --git a/meta/classes/autotools.bbclass b/meta/classes/autotools.bbclass index 44cb422584..1400b44999 100644 --- a/meta/classes/autotools.bbclass +++ b/meta/classes/autotools.bbclass | |||
@@ -88,14 +88,11 @@ oe_runconf () { | |||
88 | cfgscript=`python -c "import os; print os.path.relpath(os.path.dirname('${CONFIGURE_SCRIPT}'), '.')"`/$cfgscript_name | 88 | cfgscript=`python -c "import os; print os.path.relpath(os.path.dirname('${CONFIGURE_SCRIPT}'), '.')"`/$cfgscript_name |
89 | if [ -x "$cfgscript" ] ; then | 89 | if [ -x "$cfgscript" ] ; then |
90 | bbnote "Running $cfgscript ${CONFIGUREOPTS} ${EXTRA_OECONF} $@" | 90 | bbnote "Running $cfgscript ${CONFIGUREOPTS} ${EXTRA_OECONF} $@" |
91 | set +e | 91 | if ! ${CACHED_CONFIGUREVARS} $cfgscript ${CONFIGUREOPTS} ${EXTRA_OECONF} "$@"; then |
92 | ${CACHED_CONFIGUREVARS} $cfgscript ${CONFIGUREOPTS} ${EXTRA_OECONF} "$@" | 92 | bbnote "The following config.log files may provide further information." |
93 | if [ "$?" != "0" ]; then | 93 | bbnote `find ${B} -ignore_readdir_race -type f -name config.log` |
94 | echo "Configure failed. The contents of all config.log files follows to aid debugging" | 94 | bbfatal_log "configure failed" |
95 | find ${B} -ignore_readdir_race -name config.log -print -exec cat {} \; | ||
96 | die "oe_runconf failed" | ||
97 | fi | 95 | fi |
98 | set -e | ||
99 | else | 96 | else |
100 | bbfatal "no configure script found at $cfgscript" | 97 | bbfatal "no configure script found at $cfgscript" |
101 | fi | 98 | fi |